unit UObj;                {Object Pascal Version}                 {90/01/08}
{
   This unit contains the TObj class and was written to:

     1) provide a "better" base object for Turbo Pascal programmers
     2) enhance portability between Object Pascal and Turbo Pascal (MS/DOS)
     3) provide the standard base object to Quick Pascal programmers

   Author: Mike Babulic                   Compuserve: 72307,314
           3827 Charleswood Dr. N.W.
           Calgary, Alberta
           Canada
           T2L 2C7
}
interface

uses
	ObjIntf;

type
	TObj = object(TObject)
			function Bytes: LongInt;
			function TypeOf: Integer;
		end;


implementation

function TObj.Bytes: LongInt;
	begin
		Bytes := GetHandleSize(Handle(self))
	end;

function TObj.TypeOf: Integer;
	begin
		TypeOf := integer(handle(self)^^);
	end;

end.